Bug 313899 - fix fetch_l10n.rb to work with ruby 1.9
Summary: fix fetch_l10n.rb to work with ruby 1.9
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tarball-Compilation (show other bugs)
Version: 3.0.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 20:16 UTC by S. Burmeister
Modified: 2022-01-23 04:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2013-01-25 20:16:19 UTC
Many current distros ship ruby 1.9 yet digikam seems to not support checking out translations on systems with ruby 1.9.

 ./project/release/fetch_l10n.rb:49:in `<main>': undefined method `each' for #<String:0x00000002298928> (NoMethodError)

Reproducible: Always
Comment 1 S. Burmeister 2013-01-26 08:39:46 UTC
line 49 needs to be changed to:

i18nlangs.each_line do |lang|
Comment 2 caulier.gilles 2013-01-26 09:35:41 UTC
Git commit 11393e6591145066af72d48a63761f14f74d5871 by Gilles Caulier.
Committed on 26/01/2013 at 10:34.
Pushed by cgilles into branch 'master'.

fix syntax to handle language list properly with new Ruby version

M  +1    -1    project/release/fetch_l10n.rb

http://commits.kde.org/scratch/mwiesweg/digikam-sc/11393e6591145066af72d48a63761f14f74d5871